Bug 1262638 - Brutally slow download speed thru SFTP
Brutally slow download speed thru SFTP
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openssh (Show other bugs)
7.1
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Jakub Jelen
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-13 14:58 EDT by Pontus
Modified: 2016-04-28 08:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-28 08:06:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1168773 None None None Never

  None (edit)
Description Pontus 2015-09-13 14:58:56 EDT
Description of problem:
So, I Googled this issue before I posted this, and it seems this issues are still there from RHEL6.

My server is connected to the network thru gigabit cat 6, my laptop is also connected with gigabit cat 6, and the upload is good to the server:

[20:25:48] [R] Uploading: /media/FTP3/OS/kali-linux-2.0-amd64.iso
[20:27:38] Upload: kali-linux-2.0-amd64.iso 3,09 GB in 1 minute 50 seconds (28,77 MB/s)

But: when download files from the server:

[20:48:22] [R] Downloading: /media/FTP3/OS/RHEL7/rhel-server-7.1-x86_64-dvd.iso
[20:57:45] Download: rhel-server-7.1-x86_64-dvd.iso 3,62 GB in 9 minutes 23 seconds (6,59 MB/s)

Version-Release number of selected component (if applicable):
[root@GEM ~]# yum info libssh2
Loaded plugins: langpacks, product-id, subscription-manager
Installed Packages
Name        : libssh2
Arch        : x86_64
Version     : 1.4.3
Release     : 8.el7

[root@GEM ~]# yum info openssh
Loaded plugins: langpacks, product-id, subscription-manager
Installed Packages
Name        : openssh
Arch        : x86_64
Version     : 6.6.1p1
Release     : 12.el7_1

[root@GEM ~]# cat /etc/redhat-release
Red Hat Enterprise Linux Server release 7.1 (Maipo)


How reproducible:
Always for me. The speed goes up to about 20 MB/s about 1-2 seconds, then back to average speed 5-6 MB/s.

Steps to Reproduce:
1. Install latest RHEL 7.1
2. Update all packages.
3. Try download something from server thru gigabit network.

Actual results:
Good upload around 30 MB/s, brutally slow download speed with average of 5-6 MB/s.

Expected results:
Full speed down as up!

Additional info:
Comment 2 Jakub Jelen 2015-09-14 02:40:17 EDT
Hi Pontus,
can you provide piece of code that you execute to do the upload/download? You log doesn't look like pure sftp so please chose appropriate component. Openssh has nothing in common with libssh2.
Comment 3 Karel Srot 2015-09-15 05:12:51 EDT
Seems that this is rather about slow download than upload. Updating the summary accordingly.
Comment 5 Pontus 2015-09-17 13:42:51 EDT
Hi all!

I was running RHEL 7.1 on my server, but the upload speed from the server to the rest of the network forced me to remove it temporary until we find a solution for this.

When I filed the bug report I was running Window 8.1 PRO x64 and I was using FlashFXP for the transfers. That´s why the log is a lil bit fuzzy!

Best
Pontus
Comment 6 Jakub Jelen 2015-09-18 04:01:56 EDT
Hi Pontus,
thank you for taking the time to enter a bug report with us. We appreciate the feedback and look to use reports such as this to guide our efforts at improving our products. That being said, this bug tracking system is not a mechanism for requesting support, and we are not able to  guarantee the timeliness or suitability of a resolution.

If this issue is critical or in any way time sensitive, please raise a ticket through your regular Red Hat support channels to make certain  it receives the proper attention and prioritization to assure a timely resolution.

For information on how to contact the Red Hat production support team, please visit:
https://access.redhat.com/

There are many factors that can be related to this behaviour and they are not clear from your report. Namely if the speed is same for different protocols on same system, same protocol on different system and so on. These details should be communicated with support and  bugzilla should contain just minimal information required to reproduce the case and needed to fix the problem.
Comment 8 Jakub Jelen 2016-04-28 08:06:16 EDT
I can't reproduce that with my virtual machines:

Uploading test.tgz to /root/test.tgz
test.tgz                                        100%  597MB  49.8MB/s   00:12    
sftp> get test.tgz
Fetching /root/test.tgz to test.tgz
/root/test.tgz                                  100%  597MB  85.3MB/s   00:07    

nor with real server around here:
Uploading test.tgz to /root/test.tgz
k-wave-power8.tgz                               100%  597MB  99.5MB/s   00:06    

sftp> get test.tgz
Fetching /home/brq/jjelen/test.tgz to test.tgz
/home/brq/jjelen/test.tgz                       100%  597MB  74.6MB/s   00:08    


The speeds are quite same and quite reasonable. Tested from my Fedora 23. There is not enough information to reproduce the issue, nor if in your case is openssh the trigger (windows client). Reopen, if you will have more information.

Note You need to log in before you can comment on or make changes to this bug.